# ApplicationFramework
PTKernel
ObjMgt

# ObjMgt_SeqNodeOfPSeqOfExtRef Class Reference

`#include <ObjMgt_SeqNodeOfPSeqOfExtRef.hxx>`

Inheritance diagram for ObjMgt_SeqNodeOfPSeqOfExtRef:

[legend]

## Public Member Functions

Standard_EXPORT | ObjMgt_SeqNodeOfPSeqOfExtRef (const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&TheLast, const Handle(ObjMgt_ExternRef)&TheItem)
Standard_EXPORT | ObjMgt_SeqNodeOfPSeqOfExtRef (const Handle(ObjMgt_ExternRef)&TheItem, const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&TheFirst)
Standard_EXPORT | ObjMgt_SeqNodeOfPSeqOfExtRef (const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&ThePrevious, const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&TheNext, const Handle(ObjMgt_ExternRef)&TheItem)
Standard_EXPORT Handle_ObjMgt_ExternRef | Value () const
Standard_EXPORT Handle_ObjMgt_SeqNodeOfPSeqOfExtRef | Next () const
Standard_EXPORT Handle_ObjMgt_SeqNodeOfPSeqOfExtRef | Previous () const
Standard_EXPORT void | SetValue (const Handle(ObjMgt_ExternRef)&AnItem)
Standard_EXPORT void | SetNext (const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&ANode)
| ObjMgt_SeqNodeOfPSeqOfExtRef ()
| ObjMgt_SeqNodeOfPSeqOfExtRef (const Storage_stCONSTclCOM &a)
| Handle (ObjMgt_SeqNodeOfPSeqOfExtRef) _CSFDB_GetObjMgt_SeqNodeOfPSeqOfExtRefMyPrevious() const
void | _CSFDB_SetObjMgt_SeqNodeOfPSeqOfExtRefMyPrevious (const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&p)
| Handle (ObjMgt_ExternRef) _CSFDB_GetObjMgt_SeqNodeOfPSeqOfExtRefMyItem() const
void | _CSFDB_SetObjMgt_SeqNodeOfPSeqOfExtRefMyItem (const Handle(ObjMgt_ExternRef)&p)
| Handle (ObjMgt_SeqNodeOfPSeqOfExtRef) _CSFDB_GetObjMgt_SeqNodeOfPSeqOfExtRefMyNext() const
void | _CSFDB_SetObjMgt_SeqNodeOfPSeqOfExtRefMyNext (const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_ObjMgt_SeqNodeOfPSeqOfExtRef | MyPrevious
Handle_ObjMgt_ExternRef | MyItem
Handle_ObjMgt_SeqNodeOfPSeqOfExtRef | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT ObjMgt_SeqNodeOfPSeqOfExtRef::ObjMgt_SeqNodeOfPSeqOfExtRef | ( | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | TheLast,
|  | const Handle(ObjMgt_ExternRef)& | TheItem
| ) |

Standard_EXPORT ObjMgt_SeqNodeOfPSeqOfExtRef::ObjMgt_SeqNodeOfPSeqOfExtRef | ( | const Handle(ObjMgt_ExternRef)& | TheItem,
|  | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | TheFirst
| ) |

Standard_EXPORT ObjMgt_SeqNodeOfPSeqOfExtRef::ObjMgt_SeqNodeOfPSeqOfExtRef | ( | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | ThePrevious,
|  | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | TheNext,
|  | const Handle(ObjMgt_ExternRef)& | TheItem
| ) |

ObjMgt_SeqNodeOfPSeqOfExtRef::ObjMgt_SeqNodeOfPSeqOfExtRef | ( |  | ) | `[inline]`

ObjMgt_SeqNodeOfPSeqOfExtRef::ObjMgt_SeqNodeOfPSeqOfExtRef | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void ObjMgt_SeqNodeOfPSeqOfExtRef::_CSFDB_SetObjMgt_SeqNodeOfPSeqOfExtRefMyItem | ( | const Handle(ObjMgt_ExternRef)& | p | ) | `[inline]`

void ObjMgt_SeqNodeOfPSeqOfExtRef::_CSFDB_SetObjMgt_SeqNodeOfPSeqOfExtRefMyNext | ( | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | p | ) | `[inline]`

void ObjMgt_SeqNodeOfPSeqOfExtRef::_CSFDB_SetObjMgt_SeqNodeOfPSeqOfExtRefMyPrevious | ( | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | p | ) | `[inline]`

Standard_EXPORT const ObjMgt_SeqNodeOfPSeqOfExtRef::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

ObjMgt_SeqNodeOfPSeqOfExtRef::Handle | ( | ObjMgt_SeqNodeOfPSeqOfExtRef |  | ) | const`[inline]`

ObjMgt_SeqNodeOfPSeqOfExtRef::Handle | ( | ObjMgt_ExternRef |  | ) | const`[inline]`

ObjMgt_SeqNodeOfPSeqOfExtRef::Handle | ( | ObjMgt_SeqNodeOfPSeqOfExtRef |  | ) | const`[inline]`

Standard_EXPORT Handle_ObjMgt_SeqNodeOfPSeqOfExtRef ObjMgt_SeqNodeOfPSeqOfExtRef::Next | ( |  | ) | const

Standard_EXPORT Handle_ObjMgt_SeqNodeOfPSeqOfExtRef ObjMgt_SeqNodeOfPSeqOfExtRef::Previous | ( |  | ) | const

Standard_EXPORT void ObjMgt_SeqNodeOfPSeqOfExtRef::SetNext | ( | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | ANode | ) |

Standard_EXPORT void ObjMgt_SeqNodeOfPSeqOfExtRef::SetPrevious | ( | const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& | ANode | ) |

Standard_EXPORT void ObjMgt_SeqNodeOfPSeqOfExtRef::SetValue | ( | const Handle(ObjMgt_ExternRef)& | AnItem | ) |

Standard_EXPORT Handle_ObjMgt_ExternRef ObjMgt_SeqNodeOfPSeqOfExtRef::Value | ( |  | ) | const

## Field Documentation

Handle_ObjMgt_ExternRef ObjMgt_SeqNodeOfPSeqOfExtRef::MyItem `[private]`

Handle_ObjMgt_SeqNodeOfPSeqOfExtRef ObjMgt_SeqNodeOfPSeqOfExtRef::MyNext `[private]`

Handle_ObjMgt_SeqNodeOfPSeqOfExtRef ObjMgt_SeqNodeOfPSeqOfExtRef::MyPrevious `[private]`

The documentation for this class was generated from the following file:

- ObjMgt_SeqNodeOfPSeqOfExtRef.hxx